<?php

function auns($config, $ServersConfArray, &$html)
{
    $GET_TRASH = $_GET['trash'] ?? "";
    if ($GET_TRASH != "") {
        remove_provisionning($GET_TRASH);
        $ServersConfArray = ServersConfArray();
    }
    // traitement de l'envoi du formulaire
    $html_retour_form = "";
    $UAI_2ACTIVATE = $_POST['UAI_2ACTIVATE'] ?? "";
    if (is_array($UAI_2ACTIVATE)) {
        $html_retour_form = "<ul>";
        foreach ($UAI_2ACTIVATE as $key => $value) {
            $html_retour_form .= "<li>Provisionnement du site $value (" . NomDepuisUAI($value) . ")</li>";
            server_provisionning($value);
        }
        $html_retour_form .= "</ul>";
        $ServersConfArray = ServersConfArray();
    }

    // Liste des serveurs inactifs.
    // pour fabrication du formulaire
    // $ServerChoice
    // et pour la liste des sites en "provisionning"
    // $ServerToActivate
    $ServerChoice = "";
    $ServerToActivate = "";
    $GET_UAI = $_GET['uai'] ?? "";
    foreach ($ServersConfArray as $cle => $valeur) {
        if ($valeur['etat'] == "inactif") {
            $SELECTED = "";
            if ($GET_UAI == $valeur['uai']) {
                $SELECTED = "SELECTED";
            }
            $ServerChoice .= '<option value="' . $valeur['uai'] . '" ' . $SELECTED . '>' . $valeur['uai'] . ' (' . $valeur['name'] . ')</option>';
        } elseif ($valeur['etat'] == "provisionning") {
            $ServerToActivate .= '<li>' . $valeur['uai'] . ' (' . $valeur['name'] . ')
                        <a href="?page=auns&trash=' . $valeur['uai'] . '" class="btn btn-danger btn-circle btn-sm">
                                        <i class="fas fa-trash"></i>
                                    </a></li>';
        }
    }

    if ("$ServerToActivate" == "") {
        $html_Server2Activate = '
Aucun site à installer pour le moment.

Vous devez au préalable provisionner un site.';
    } else {
        $html_Server2Activate = "<ul>$ServerToActivate</ul>";
    }
    $html .= '  <!-- Begin Page Content -->
                <div class="container-fluid">
                    <!-- Page Heading -->
                    <div class="d-sm-flex align-items-center justify-content-between mb-4">
                        <h1 class="h3 mb-0 text-gray-800">Provisionner un site</h1>
                    </div>
                    <!-- Content Row -->
                   <div class="row">
                        <!--   -->
                        <div class="col-xl-6 col-lg-7 ">
                            <div class=" card shadow mb-4">
                                <!-- Card Header - Dropdown -->
                                <div
                                    class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
                                    <h6 class="m-0 font-weight-bold text-primary">Provisionner un ou plusieurs nouveau(x) site(s).</h6>
                                </div>
                                <!-- Card Body -->
                                <div class="card-body ">
                                ' . $html_retour_form . '
                                <form action="" method="post">
                                        <select name="UAI_2ACTIVATE[]" multiple size="10">
                                        ' . $ServerChoice . '
                                        </select>
                                    <div class="my-2"></div>
                                    <button type = "submit" class="btn btn-primary btn-icon-split btn-lg">
                                        <span class="icon text-white-50">
                                            <i class="fas fa-flag"></i>
                                        </span>
                                        <span class="text">Provisionner de nouveaux sites.</span>
                                    </button>
                                </form>

                                </div>
                                </div>
                            </div>
                        <!--   -->
                        <div class="col-xl-6 col-lg-7 ">
                            <div class=" card shadow mb-4">
                                <!-- Card Header - Dropdown -->
                                <div
                                    class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
                                    <h6 class="m-0 font-weight-bold text-primary">Sites en attente d\'activation</h6>
                                </div>
                                <!-- Card Body -->
                                <div class="card-body ">
                                ' . $html_Server2Activate . '
                                </div>
                            </div>
                        </div>
            </div>';
}
?>